const std = @import("std");
const sqlite = @import("sqlite");

const Db = @import("Db.zig");
const Item = @import("Item.zig");
const Tag = @import("Tag.zig");
const json = @import("json.zig");
const request = @import("request.zig");

pub fn main() !void {
    var db = try Db.init();

    const jsonText: [:0]const u8 =
        \\{ "add" : [
        \\    {
        \\        "fur": "dusk",
        \\        "made_with": "krita",
        \\        "date": "2022-10-01",
        \\        "alunya": null
        \\    },{
        \\        "fur": "lara",
        \\        "made_with": "krita",
        \\        "date": "2022-04-08",
        \\        "cell-shading": null
        \\    },{
        \\        "made_with": "ballpoint_pen",
        \\        "date": "2022-11-04",
        \\        "practice": "",
        \\        "pose_practice": null
        \\    },{
        \\        "fur": "lidiarock1",
        \\        "made_with": "krita",
        \\        "date": "2022-02-15",
        \\        "niko_(oneshot)": null
        \\    }
        \\] }
    ;

    var jobj = json.Obj.newFromString(jsonText);

    try request.process(&jobj, &db);
}
